Skip to main content
GET
/
api
/
v1
/
notifications
/
subscriptions
/
me
내 알림 받기 설정 조회
curl --request GET \
  --url https://k-polaris.life/api/v1/notifications/subscriptions/me \
  --header 'Authorization: Bearer <token>'
[
  {
    "subscriptionId": 15,
    "isbn": 9791191111111,
    "title": "테스트 도서",
    "author": "홍길동",
    "coverImageUrl": "https://example.com/book-cover.jpg",
    "libraryId": 10,
    "libraryName": "구미시립양포도서관",
    "lastStableAvailability": "NOT_AVAILABLE",
    "lastCheckOutcome": "ON_LOAN",
    "lastCheckedAt": "2026-05-07T09:00:01",
    "lastNotifiedAt": "2026-05-07T09:00:01"
  }
]

Documentation Index

Fetch the complete documentation index at: https://polaris.nimonic.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

성공

subscriptionId
integer<int64>

알림 받기 설정을 식별하는 ID입니다.

Example:

15

isbn
string

알림 받기 설정한 도서의 ISBN입니다.

Example:

9791191111111

title
string

알림 받기 설정한 도서명입니다.

Example:

"테스트 도서"

author
string

알림 받기 설정한 도서의 저자입니다.

Example:

"홍길동"

coverImageUrl
string

알림 받기 설정한 도서의 표지 이미지 URL입니다.

Example:

"https://example.com/book-cover.jpg"

libraryId
integer<int64>

알림 받기 설정한 도서관을 식별하는 ID입니다.

Example:

10

libraryName
string

알림 받기 설정한 도서관명입니다.

Example:

"구미시립양포도서관"

lastStableAvailability
string

마지막으로 확정된 대출 가능 상태입니다. AVAILABLE, NOT_AVAILABLE, UNKNOWN 중 하나입니다.

Example:

"NOT_AVAILABLE"

lastCheckOutcome
string

마지막 대출 가능 여부 확인 결과입니다. AVAILABLE, ON_LOAN, UNAVAILABLE, UNKNOWN, FAILED 중 하나입니다.

Example:

"ON_LOAN"

lastCheckedAt
string<date-time>

대출 가능 여부를 마지막으로 확인한 시각입니다. 아직 확인하지 않았으면 null입니다.

Example:

"2026-05-07T09:00:01"

lastNotifiedAt
string<date-time>

마지막으로 알림이 생성된 시각입니다. 생성된 알림이 없으면 null입니다.

Example:

"2026-05-07T09:00:01"